import { ValidationErrorDirective } from './validation-error.directive';
import { ValidationFallbackDirective } from './validation-fallback.directive';
import * as i0 from "@angular/core";
/**
 * Service used by the default validation errors directive to store the default error template references. This
 * service is injected in the validation errors component which displays the appropriate templates and provides their context.
 */
export declare class DefaultValidationErrors {
    directives: Array<ValidationErrorDirective>;
    fallback: ValidationFallbackDirective | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<DefaultValidationErrors, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DefaultValidationErrors>;
}
